Index: /branches/version-2_13-dev/data/module/MDB2/LOB.php
===================================================================
--- /branches/version-2_13-dev/data/module/MDB2/LOB.php	(revision 20119)
+++ /branches/version-2_13-dev/data/module/MDB2/LOB.php	(revision 23022)
@@ -43,5 +43,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: LOB.php,v 1.34 2006/10/25 11:52:21 lsmith Exp $
+// $Id: LOB.php 222350 2006-10-25 11:52:21Z lsmith $
 
 /**
Index: /branches/version-2_13-dev/data/module/MDB2/Date.php
===================================================================
--- /branches/version-2_13-dev/data/module/MDB2/Date.php	(revision 20119)
+++ /branches/version-2_13-dev/data/module/MDB2/Date.php	(revision 23022)
@@ -43,5 +43,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: Date.php,v 1.10 2006/03/01 12:15:32 lsmith Exp $
+// $Id: Date.php 327316 2012-08-27 15:17:02Z danielc $
 //
 
@@ -71,5 +71,5 @@
      * @access public
      */
-    function mdbNow()
+    public static function mdbNow()
     {
         return date('Y-m-d H:i:s');
@@ -85,5 +85,5 @@
      * @access public
      */
-    function mdbToday()
+    public static function mdbToday()
     {
         return date('Y-m-d');
@@ -99,5 +99,5 @@
      * @access public
      */
-    function mdbTime()
+    public static function mdbTime()
     {
         return date('H:i:s');
@@ -120,5 +120,5 @@
      * @access public
      */
-    function date2Mdbstamp($hour = null, $minute = null, $second = null,
+    public static function date2Mdbstamp($hour = null, $minute = null, $second = null,
         $month = null, $day = null, $year = null)
     {
@@ -137,5 +137,5 @@
      * @access public
      */
-    function unix2Mdbstamp($unix_timestamp)
+    public static function unix2Mdbstamp($unix_timestamp)
     {
         return date('Y-m-d H:i:s', $unix_timestamp);
@@ -153,5 +153,5 @@
      * @access public
      */
-    function mdbstamp2Unix($mdb_timestamp)
+    public static function mdbstamp2Unix($mdb_timestamp)
     {
         $arr = MDB2_Date::mdbstamp2Date($mdb_timestamp);
@@ -172,5 +172,5 @@
      * @access public
      */
-    function mdbstamp2Date($mdb_timestamp)
+    public static function mdbstamp2Date($mdb_timestamp)
     {
         list($arr['year'], $arr['month'], $arr['day'], $arr['hour'], $arr['minute'], $arr['second']) =
Index: /branches/version-2_13-dev/data/module/MDB2/Extended.php
===================================================================
--- /branches/version-2_13-dev/data/module/MDB2/Extended.php	(revision 20764)
+++ /branches/version-2_13-dev/data/module/MDB2/Extended.php	(revision 23022)
@@ -43,5 +43,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: Extended.php,v 1.60 2007/11/28 19:49:34 quipo Exp $
+// $Id: Extended.php 327310 2012-08-27 15:16:18Z danielc $
 
 /**
@@ -94,9 +94,9 @@
     {
         $query = $this->buildManipSQL($table, $table_fields, $mode, $where);
-        if (PEAR::isError($query)) {
+        if (MDB2::isError($query)) {
             return $query;
         }
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -135,5 +135,5 @@
      * @access public
     */
-    function &autoExecute($table, $fields_values, $mode = MDB2_AUTOQUERY_INSERT,
+    function autoExecute($table, $fields_values, $mode = MDB2_AUTOQUERY_INSERT,
         $where = false, $types = null, $result_class = true, $result_types = MDB2_PREPARE_MANIP)
     {
@@ -154,10 +154,10 @@
             $query = $this->buildManipSQL($table, $keys, $mode, $where);
 
-            $db =& $this->getDBInstance();
-            if (PEAR::isError($db)) {
+            $db = $this->getDBInstance();
+            if (MDB2::isError($db)) {
                 return $db;
             }
             if ($mode == MDB2_AUTOQUERY_SELECT) {
-                $result =& $db->query($query, $result_types, $result_class);
+                $result = $db->query($query, $result_types, $result_class);
             } else {
                 $result = $db->exec($query);
@@ -165,8 +165,8 @@
         } else {
             $stmt = $this->autoPrepare($table, $keys, $mode, $where, $types, $result_types);
-            if (PEAR::isError($stmt)) {
+            if (MDB2::isError($stmt)) {
                 return $stmt;
             }
-            $result =& $stmt->execute($params, $result_class);
+            $result = $stmt->execute($params, $result_class);
             $stmt->free();
         }
@@ -200,6 +200,6 @@
     function buildManipSQL($table, $table_fields, $mode, $where = false)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -215,5 +215,5 @@
         }
 
-        if ($where !== false && !is_null($where)) {
+        if ((false !== $where) && (null !== $where)) {
             if (is_array($where)) {
                 $where = implode(' AND ', $where);
@@ -271,18 +271,17 @@
      * @access public
      */
-    function &limitQuery($query, $types, $limit, $offset = 0, $result_class = true,
+    function limitQuery($query, $types, $limit, $offset = 0, $result_class = true,
         $result_wrap_class = false)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
 
         $result = $db->setLimit($limit, $offset);
-        if (PEAR::isError($result)) {
+        if (MDB2::isError($result)) {
             return $result;
         }
-        $result =& $db->query($query, $types, $result_class, $result_wrap_class);
-        return $result;
+        return $db->query($query, $types, $result_class, $result_wrap_class);
     }
 
@@ -303,6 +302,6 @@
     function execParam($query, $params = array(), $param_types = null)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -314,10 +313,10 @@
 
         $stmt = $db->prepare($query, $param_types, MDB2_PREPARE_MANIP);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
 
         $result = $stmt->execute($params);
-        if (PEAR::isError($result)) {
+        if (MDB2::isError($result)) {
             return $result;
         }
@@ -347,6 +346,6 @@
         $param_types = null, $colnum = 0)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -359,5 +358,5 @@
 
         $stmt = $db->prepare($query, $param_types, $type);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
@@ -394,6 +393,6 @@
         $param_types = null, $fetchmode = MDB2_FETCHMODE_DEFAULT)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -405,5 +404,5 @@
 
         $stmt = $db->prepare($query, $param_types, $types);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
@@ -440,6 +439,6 @@
         $param_types = null, $colnum = 0)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -452,5 +451,5 @@
 
         $stmt = $db->prepare($query, $param_types, $type);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
@@ -496,6 +495,6 @@
         $rekey = false, $force_array = false, $group = false)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -507,5 +506,5 @@
 
         $stmt = $db->prepare($query, $param_types, $types);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
@@ -601,6 +600,6 @@
         $fetchmode = MDB2_FETCHMODE_DEFAULT, $force_array = false, $group = false)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -612,5 +611,5 @@
 
         $stmt = $db->prepare($query, $param_types, $types);
-        if (PEAR::isError($stmt)) {
+        if (MDB2::isError($stmt)) {
             return $stmt;
         }
@@ -645,9 +644,12 @@
      * @see prepare(), execute()
      */
-    function executeMultiple(&$stmt, $params = null)
-    {
+    function executeMultiple($stmt, $params = null)
+    {
+        if (MDB2::isError($stmt)) {
+            return $stmt;
+        }
         for ($i = 0, $j = count($params); $i < $j; $i++) {
             $result = $stmt->execute($params[$i]);
-            if (PEAR::isError($result)) {
+            if (MDB2::isError($result)) {
                 return $result;
             }
@@ -673,6 +675,6 @@
     function getBeforeID($table, $field = null, $ondemand = true, $quote = true)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
@@ -681,5 +683,5 @@
             $seq = $table.(empty($field) ? '' : '_'.$field);
             $id = $db->nextID($seq, $ondemand);
-            if (!$quote || PEAR::isError($id)) {
+            if (!$quote || MDB2::isError($id)) {
                 return $id;
             }
@@ -706,6 +708,6 @@
     function getAfterID($id, $table, $field = null)
     {
-        $db =& $this->getDBInstance();
-        if (PEAR::isError($db)) {
+        $db = $this->getDBInstance();
+        if (MDB2::isError($db)) {
             return $db;
         }
